<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <include layout="@layout/include_base_title" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/mainBackColor"
        android:orientation="vertical">

        <com.scwang.smartrefresh.layout.SmartRefreshLayout
            android:id="@+id/addressLayout"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

            <com.scwang.smartrefresh.layout.header.ClassicsHeader
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <androidx.core.widget.NestedScrollView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:fillViewport="true"
                android:scrollbars="vertical">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/addressRecyclerView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
            </androidx.core.widget.NestedScrollView>

            <com.scwang.smartrefresh.layout.footer.ClassicsFooter
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        </com.scwang.smartrefresh.layout.SmartRefreshLayout>

        <Button
            android:id="@+id/addAddressButton"
            style="@style/MainButtonStyle"
            android:layout_margin="@dimen/dp_20"
            android:text="添加地址"
            android:textSize="@dimen/sp_16" />
    </LinearLayout>
</LinearLayout>